Firefox 10 Aurora Add On Compatibility

So Firefox 8 has been released meaning Firefox 9 is now in beta and Firefox 10 is now on the Aurora channel. Trouble is, even if you are using compatibility reporter from the add ons site, most of your add ons will now be disabled. This is because compatibility reporter only supported up to Firefox 9. Anyway the fix is simple.

  1. Open a new tab
  2. Type about:config in the url bar and press enter
  3. Click the I’ll be careful, I promise! button
  4. Right click anywhere on the list that appears and select New then Boolean.
  5. For the preference name put extensions.checkCompatibility.10.0a and click OK
  6. Now select false and click OK
  7. Now do the same again but this time name it extensions.checkCompatibility.10.0
  8. Again set it to false.

Now close Firefox and when you restart all your extensions should be working again.

  1. Couldn’t you just use extensions.checkCompatibility and set it to false so it will work on this aurora and the next, not just setting it to a specific build or has aurora got it’s own like nightly has with extensions.checkCompatibility.nightly set to false.

    • First thing I tried but it doesn’t work for some stupid reason. I think that actually only works for versions < 4 and then you require the version number.

  2. i use nightly 11.0 so extensions.checkCompatibility.nightly works fine for me, would have thought they had one for aurora but says otherwise, i guess the release frequency of nightly demanded the boolean.

    • Yes the .nightly extension is what makes it work there but as soon as it stopped being a nightly it would stop working. Since this post I have switched to the nightly anyway as I wanted to test their implementation of SPDY.

  3. Have been trying in vein to get this to work, as it has worked in all previous versions, however each time I restart Aurora, it removes the line added :( FWIW, Aurora 10.0a2 19th Dec build.

Leave a Reply

Post Popularity Graphing by Knowledge Ring